<?php

function jit_enable() {
    NoccyLabs\JitEnabler\Jit::enable();
}

function jit_set_buffer_size(string $size) {
    if (!preg_match('<^(\d+)([KMG]?)$>', $size)) {
        fwrite(STDERR, "warning: Bad JIT buffer size\n");
        return;
    }
    NoccyLabs\JitEnabler\Jit::$bufferSize = $size;
}

if (defined("JIT_AUTO") && constant("JIT_AUTO")) {
    jit_enable();
}
